<?php

namespace Drupal\google_groups\Entity;

use Drupal\Core\Config\Entity\ConfigEntityBase;
use Drupal\google_groups\Entity\GroupsInterface;

/**
 * Defines the Date Format configuration entity class.
 *
 * @ConfigEntityType(
 *   id = "google_groups",
 *   label = @Translation("Google Groups"),
 *   entity_keys = {
 *     "id" = "id",
 *     "group_name" = "group_name"
 *   },
 *   handlers = {
 *     "form" = {
 *       "add" = "Drupal\google_groups\Form\GoogleGroupsForm",
 *       "edit" = "Drupal\google_groups\Form\GoogleGroupsForm",
 *       "delete" = "Drupal\google_groups\Form\GoogleGroupsDeleteForm"
 *     },
 *     "list_builder" = "Drupal\google_groups\GoogleGroupsListBuilder"
 *   },
 *   admin_permission = "administer google groups",
 *   links = {
 *     "canonical" = "/googlegroups/{google_groups}",
 *     "edit-form" = "/admin/config/services/googlegroups/edit/{google_groups}",
 *     "add-form" = "/admin/config/services/googlegroups/add'",
 *     "delete-form" = "/admin/config/services/googlegroups/delete/{google_groups}",
 *     "collection" = "/admin/config/services/googlegroups/list",
 *   },
 *   config_export = {
 *     "id",
 *     "group_name",
 *     "group_id",
 *     "register",
 *     "default",
 *     "forced"
 *   }
 * )
 */
class GoogleGroups extends ConfigEntityBase implements GoogleGroupsInterface {
  
  /**
   * The Google Groups ID.
   *
   * @var string
   */
  protected $id;

  /**
   * The Google Groups name.
   *
   * @var string
   */
  protected $group_name;

  /**
   * The Google Groups ID.
   *
   * @var string
   */
  protected $group_id;

  /**
   * The Google Groups register.
   *
   * @var string
   */
  protected $register;

  /**
   * The Google Groups default.
   *
   * @var string
   */
  protected $default;

  /**
   * The Google Groups forced.
   *
   * @var string
   */
  protected $forced;

  /**
   * The Google Groups delta.
   *
   * @var string
   */
  protected $delta;

}
